summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorVishal Bhoj <vishal.bhoj@linaro.org>2015-05-28 17:56:25 +0530
committerVishal Bhoj <vishal.bhoj@linaro.org>2015-05-28 17:56:25 +0530
commit6bf0039729d81d8f1861b0f17727b08bf79697ea (patch)
tree194ce99a1d6a0f3aa423eca1d1eeac4f795ee9b2
parentfc8ba46710892d0a74c6c6108172c9a73b043e3b (diff)
downloadandroid-patchsets-6bf0039729d81d8f1861b0f17727b08bf79697ea.tar.gz
Include graphics patch needed for juno on aosp master
Signed-off-by: Vishal Bhoj <vishal.bhoj@linaro.org>
-rwxr-xr-xjuno-master-patches19
1 files changed, 19 insertions, 0 deletions
diff --git a/juno-master-patches b/juno-master-patches
new file mode 100755
index 0000000..bb87e8e
--- /dev/null
+++ b/juno-master-patches
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+. $(dirname $0)/functions
+
+PATCHES=0
+if [ -n "$1" ]; then
+ AOSP="$1"
+else
+ AOSP="`pwd`"
+fi
+
+if ! [ -d "$AOSP" ] && ! [ -d "$AOSP/bionic" ] && [ -d "$AOSP"/build ]; then
+ echo "This script must be run from the AOSP source directory"
+ echo "or with the AOSP source directory as its first parameter."
+ exit 1
+fi
+
+# Include bionic tests patch http://review.android.git.linaro.org/#/c/15396/
+apply --linaro frameworks/native 15396/1